Base URL: https://demo-api.incodesmile.com — Incode demo environment
This endpoint processes a global watchlist search for an individual using the watchlist configuration defined in the flow (including settings for subscription to ongoing monitoring). It performs a comprehensive screening against global watchlists (sanctions, PEPs, adverse media) and saves the results for further processing. The endpoint returns a basic success/failure response.
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
api-version |
header | string | yes |
Request body
Content-Type: application/json
| Field | Type | Required | Description |
|---|---|---|---|
firstName |
string | ||
surName |
string | ||
birthYear |
integer (int32) | Year of birth, if known | |
countryCodes |
array[object] | ||
watchlistTypes |
array[object] | ||
subscribe |
boolean | Subscribes to updates on the watchlists to receive notification for updates on the search. | |
fuzziness |
number (float) | Determines how closely the returned results must match the supplied name. | |
search_profile |
string | Search profile set for the client to use specify what sources they will be searching against. |
Responses
200
OK
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
success |
boolean | Flag indicating request passed successfully. | |
sessionStatus |
string | Session status Enum: Alive, Closed, Deleted |
400
Bad Request
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |